Pingfire 1.0.3 works in Firefox 3.6.3 Rated 5 out of 5 stars

When I upgraded my Firefox to 3.6, I was upset because Firefox disabled my Pingfire tool. I upgraded Pingfire to 1.0.3 even though it's still experimental, and guess what?

It works just fine. I know it's not 'Mozilla official' yet, but it works. Just do the upgrade. If it works on my oddball set up, it will work on yours too.

Platform: Puppy Linux 4.2.5
Release: Firefox 3.6.3
Plugin: Pingfire 1.0.3

This review is for a previous version of the add-on (1.0.3).